"
 COPYRIGHT (c) 1992 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Slider subclass:#HorizontalSlider
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-Interactors'
!

!HorizontalSlider class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1992 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    this class implements horizontal sliders.
"
! !

!HorizontalSlider methodsFor:'initialization'!

initialize
    super initialize.
    sliderHeight := (self horizontalPixelPerMillimeter:10) rounded.
    orientation := #horizontal 
! !

!HorizontalSlider methodsFor:'queries'!

preferredExtent
    |w h|

    w := self class defaultExtent x.
    h := (device verticalPixelPerMillimeter asFloat * 6) rounded.
    ^ w @ h.
! !

!HorizontalSlider class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/HorizontalSlider.st,v 1.8 1995-11-23 18:17:51 cg Exp $'
! !
